<ion-header>
  <ion-toolbar>
    <ion-title>modal-lista-tecnico</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div class="ion-padding">
    <ion-button color="ista" (click)="uploadFile()">
      Subir una imagen
    </ion-button>
    <br /> <br />

    <ion-item class="fileUpload btn btn-primary">
      <ion-label color="ista">
        <ion-icon name="camera"></ion-icon>
        Elija un archivo
      </ion-label>
      <input type="file" class="upload" (change)="onChange($event)" #photoInput/> 
    </ion-item>

    <ion-item *ngIf="fileName  != null">
      <ion-label color="ista" position="floating">Imagen Selccionada</ion-label>
      <ion-input value="{{fileName}}" readonly></ion-input>
    </ion-item>


    <!-- <input (change)="onChange($event)" type="file" id="fileLoader" #fileLoader name="files" title="Load File" hidden />
    <ion-toolbar color="ista">
      <ion-buttons>
        <ion-button fill="clear" icon-left (click)="presentActionSheet(fileLoader)">
          <ion-icon name="camera"></ion-icon> Select Image
        </ion-button>
        <ion-button fill="clear" icon-left (click)="removePic()" [disabled]="uploadImage === null">
          <ion-icon name="trash"></ion-icon> Remove
        </ion-button>
      </ion-buttons>
    </ion-toolbar> -->
    <!-- <span *ngIf="uploadImage != null">
      <img id="checkinImage" [src]="uploadImage" (load)="imageLoaded()" /> 
    </span>
    <span *ngIf="processing">
        <ion-spinner></ion-spinner>
        <h1>Processing...</h1>
    </span> -->


    <!-- <label class="custom-file-upload">
      <input type="file" (change)="onChange($event)" #photoInput/>
      Custom Upload
    </label> -->
  </div>
</ion-content>